using System;
using System.Data;
using System.Collections.Generic;
using ZXDT.Common;
using ZXDT.CallCenter.Model;
namespace ZXDT.CallCenter.BLL
{
	/// <summary>
	/// T_SMS_RecvSMS
	/// </summary>
	public partial class T_SMS_RecvSMS
	{
		private readonly ZXDT.CallCenter.DAL.T_SMS_RecvSMS dal=new ZXDT.CallCenter.DAL.T_SMS_RecvSMS();
		public T_SMS_RecvSMS()
		{}
		#region  Method

		/// <summary>
		/// 得到最大ID
		/// </summary>
		public int GetMaxId()
		{
			return dal.GetMaxId();
		}

		/// <summary>
		/// 是否存在该记录
		/// </summary>
		public bool Exists(int SMSID)
		{
			return dal.Exists(SMSID);
		}

		/// <summary>
		/// 增加一条数据
		/// </summary>
		public int  Add(ZXDT.CallCenter.Model.T_SMS_RecvSMS model)
		{
			return dal.Add(model);
		}

		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(ZXDT.CallCenter.Model.T_SMS_RecvSMS model)
		{
			return dal.Update(model);
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int SMSID)
		{
			
			return dal.Delete(SMSID);
		}
		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool DeleteList(string SMSIDlist )
		{
			return dal.DeleteList(SMSIDlist );
		}

		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public ZXDT.CallCenter.Model.T_SMS_RecvSMS GetModel(int SMSID)
		{
			
			return dal.GetModel(SMSID);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			return dal.GetList(strWhere);
		}
		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			return dal.GetList(Top,strWhere,filedOrder);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<ZXDT.CallCenter.Model.T_SMS_RecvSMS> GetModelList(string strWhere)
		{
			DataSet ds = dal.GetList(strWhere);
			return DataTableToList(ds.Tables[0]);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<ZXDT.CallCenter.Model.T_SMS_RecvSMS> DataTableToList(DataTable dt)
		{
			List<ZXDT.CallCenter.Model.T_SMS_RecvSMS> modelList = new List<ZXDT.CallCenter.Model.T_SMS_RecvSMS>();
			int rowsCount = dt.Rows.Count;
			if (rowsCount > 0)
			{
				ZXDT.CallCenter.Model.T_SMS_RecvSMS model;
				for (int n = 0; n < rowsCount; n++)
				{
					model = new ZXDT.CallCenter.Model.T_SMS_RecvSMS();
					if(dt.Rows[n]["SMSID"]!=null && dt.Rows[n]["SMSID"].ToString()!="")
					{
						model.SMSID=int.Parse(dt.Rows[n]["SMSID"].ToString());
					}
					if(dt.Rows[n]["CallerNum"]!=null && dt.Rows[n]["CallerNum"].ToString()!="")
					{
					model.CallerNum=dt.Rows[n]["CallerNum"].ToString();
					}
					if(dt.Rows[n]["Content"]!=null && dt.Rows[n]["Content"].ToString()!="")
					{
					model.Content=dt.Rows[n]["Content"].ToString();
					}
					if(dt.Rows[n]["RecvTime"]!=null && dt.Rows[n]["RecvTime"].ToString()!="")
					{
						model.RecvTime=DateTime.Parse(dt.Rows[n]["RecvTime"].ToString());
					}
					if(dt.Rows[n]["RecvModemIMEI"]!=null && dt.Rows[n]["RecvModemIMEI"].ToString()!="")
					{
					model.RecvModemIMEI=dt.Rows[n]["RecvModemIMEI"].ToString();
					}
					if(dt.Rows[n]["F_UserID"]!=null && dt.Rows[n]["F_UserID"].ToString()!="")
					{
						model.F_UserID=int.Parse(dt.Rows[n]["F_UserID"].ToString());
					}
					if(dt.Rows[n]["F_CustomerID"]!=null && dt.Rows[n]["F_CustomerID"].ToString()!="")
					{
						model.F_CustomerID=int.Parse(dt.Rows[n]["F_CustomerID"].ToString());
					}
					if(dt.Rows[n]["F_Name"]!=null && dt.Rows[n]["F_Name"].ToString()!="")
					{
					model.F_Name=dt.Rows[n]["F_Name"].ToString();
					}
					if(dt.Rows[n]["State"]!=null && dt.Rows[n]["State"].ToString()!="")
					{
						model.State=int.Parse(dt.Rows[n]["State"].ToString());
					}
					modelList.Add(model);
				}
			}
			return modelList;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetAllList()
		{
			return GetList("");
		}

		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		//public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		//{
			//return dal.GetList(PageSize,PageIndex,strWhere);
		//}

		#endregion  Method
	}
}

